Page MenuHomePhabricator

Various requests for Old English (ang) projects (angwiki and angwiktionary)
Closed, ResolvedPublic

Description

Consensus: https://ang.wikipedia.org/w/index.php?title=Gesprec:Hēafodtramet&oldid=177215#Project_Names.2C_Namespaces.2C_and_Other_Things

  • angwiki's sitename is to be set to "Wikipǣdia"

*: Declension/cases: "Wikipǣdia" in nominative, "Wikipǣdie" in accusative, genitive, dative, and instrumental

  • angwiktionary's sitename is to be set to "Wikiwordbōc"

*: Declension/cases: "Wikiwordbōc" in nominative and accusative, "Wikiwordbēc" in genitive, dative, and instrumental

  • Wikiwordbōc (Wiktionary) needs "Ætēaca" and "Ætēacmōtung" made: these correspond to "Appendix" namespaces on other Wiktionaries
  • Each namespace with a macron should have an alias without one. For example, "Æteaca" -> "Ætēaca". It would also be nice to have an alias without a macron and with "ae" instead of "æ" (e.g., "AEteaca" -> "Ætēaca").

Version: wmf-deployment
Severity: enhancement
URL: https://ang.wikipedia.org/w/index.php?title=Gesprec:Hēafodtramet&oldid=177215#Project_Names.2C_Namespaces.2C_and_Other_Things

Details

Reference
bz56634

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:41 AM
bzimport set Reference to bz56634.

To clarify, "Ætēaca" = "Appendix", "Ætēacmōtung" = "Appendix talk".

One more thing:
is it possible to make [[q:$1]] for ang* forward to [[incubator:Wq/ang/$1]]? The Old English Wikiquote is closed but some people are still editing the incubator version.

As requested, here are the declensions of the two projects' names:

Wikipǣdia:

Nominative: Wikipǣdia
Accusative: Wikipǣdie
Genitive: Wikipǣdie
Dative: Wikipǣdie
Instrumental: Wikipǣdie

Wikiwordbōc:

Nominative: Wikiwordbōc
Accusative: Wikiwordbōc
Genitive: Wikiwordbēc
Dative: Wikiwordbēc
Instrumental: Wikiwordbēc

TTO added a comment.Nov 7 2013, 11:20 AM

We don't support declensions for site names, unfortunately. You would have to modify the relevant MediaWiki messages manually.

(In reply to comment #2)

One more thing:
is it possible to make [[q:$1]] for ang* forward to [[incubator:Wq/ang/$1]]?
The Old English Wikiquote is closed but some people are still editing the
incubator version.

Not possible right now, but I think this should be done for all closed/locked projects. The content of the closed project is usually copied to Incubator (if it is worth keeping), and edits continue to be made there, so interwiki links should skip the closed project completely and go straight to Incubator. Needs a separate bug filed, if there isn't one already.

(In reply to comment #4)

We don't support declensions for site names, unfortunately. You would have to
modify the relevant MediaWiki messages manually.

Just to clarify, this is possible and supported through the WikimediaMessages extension; we'd only need to add appropriate definitions for Old English into http://git.wikimedia.org/blob/mediawiki%2Fextensions%2FWikimediaMessages.git/a2f4ca750df4521bd874487482b480dfe1b6677e/WikimediaGrammarForms.php; that's exactly why comment 3 was posted (I was the person requesting it).

TTO added a comment.Nov 7 2013, 11:57 PM

(In reply to comment #5)

Just to clarify, this is possible and supported through the WikimediaMessages
extension;

OK; I'm sorry. I seem to recall a similar request being declined in the past on the grounds that it was not possible. It's nice to know that can be done, though.

(By the way, is it documented anywhere?...)

I'm planning to work on this tonight; can anyone tell me whether there are Old English names for the five cases mentioned in comment 3, or would it be better for you (the users of Old English projects) to use the English ones (namely "nominative", "accusative", "genitive", "dative" and "instrumental")?

In general, languages use localized names for grammatical cases, with the exception of Ukrainian, which uses the English names for some reason; the decision in this case belongs to you.

One more thing: it'll probably be nice to have NS_PROJECT_TALK localized as well; while on it, can you also provide me with a translation of "Wikipedia_talk" and "Wiktionary_talk" so I can submit all this in one go?

I'm already done with aliases and sitenames, and am only waiting for an answer to comment 7 and this one. Thanks in advance :-)

axonfifty wrote:

(In reply to comment #7)

I'm planning to work on this tonight; can anyone tell me whether there are
Old
English names for the five cases mentioned in comment 3, or would it be
better
for you (the users of Old English projects) to use the English ones (namely
"nominative", "accusative", "genitive", "dative" and "instrumental")?

In general, languages use localized names for grammatical cases, with the
exception of Ukrainian, which uses the English names for some reason; the
decision in this case belongs to you.

There are fully authentic OE names for the first four of those cases, and they are:
*nemniendlīc - nominative
*wrēgendlīc - accusative
*forgifendlīc - dative
*geāgniendlīc - genetive

There is also kind of... a word for instrumental - it was a translation for the Latin word for the ablative case, which had a secondary instrumental sense, as I understand it. However, since the primary sense for the word is "ablative", not "instrumental", I think we could fairly go for something else. I think "tōllīc" (a straightforward calque of "instrumental": "tōl" - "instrument"+"-līc" - "-al") is entirely appropriate.

I think using the OE words is appropriate.

axonfifty wrote:

(In reply to comment #8)

One more thing: it'll probably be nice to have NS_PROJECT_TALK localized as
well; while on it, can you also provide me with a translation of
"Wikipedia_talk" and "Wiktionary_talk" so I can submit all this in one go?

I'm already done with aliases and sitenames, and am only waiting for an
answer
to comment 7 and this one. Thanks in advance :-)

"Wikipedia talk" - "Wikipǣdiamōtung"; "Wiktionary talk" - "Wikiwordbōcmōtung".

Change 95847 had a related patch set uploaded by Odder:
(bug 56634) Add grammatical cases for Old English

https://gerrit.wikimedia.org/r/95847

See also https://gerrit.wikimedia.org/r/#/c/95846/ for the patch set that localizes $wgSitename, $wgMetaNamespace, $wgMetaNamespaceTalk, adds aliases for those namespaces per comment 0, and creates the 'Appendix' namespace per comment 1.

Change 95847 merged by jenkins-bot:
(bug 56634) Add grammatical cases for Old English

https://gerrit.wikimedia.org/r/95847

Change 97376 had a related patch set uploaded by Odder:
Add an alias to NS_PROJECT on Old English Wiktionary

https://gerrit.wikimedia.org/r/97376

Based on IRC reports, I have a feeling that namespaceDupes.php needs to be run.

PiRSquared17 also mentioned that there may be a need to have an accompanying Language[s]Ang.php file, maybe? I don't know anything about this part of the codebase, unfortunately. Perhaps the i18n folks can help here.

Created attachment 13959
proposed languages/classes/LanguageAng.php file

Attached proposed languages/classes/LanguageAng.php file

Attached:

tomasz added a comment.Dec 2 2013, 7:07 PM

Errm, what's that? :-)

(In reply to comment #18)

Errm, what's that? :-)

proposed languages/classes/LanguageAng.php file
Without it, {{GRAMMAR:}} doesn't work.

Can I make very pragmatic proposal here? How about we deprecate the locale "ang", effective immediately because it's a dead language, and change the locale for ang.* projects to English? Old English hasn't been spotted in the wild for the past 1000 years or so according to Wikipedia.

(In reply to comment #21)

Can I make very pragmatic proposal here? How about we deprecate the locale
"ang", effective immediately because it's a dead language, and change the
locale for ang.* projects to English? Old English hasn't been spotted in the
wild for the past 1000 years or so according to Wikipedia.

People (not me) have been translating the interface for months. It is obvious that the ang.* projects want an Old English interface. As long as they continue to exist (they cannot be closed now by LangCom's rules), the locale should probably exist.

tomasz added a comment.Dec 2 2013, 7:36 PM

(In reply to comment #21)

Can I make very pragmatic proposal here? How about we deprecate the locale
"ang", effective immediately because it's a dead language, and change the
locale for ang.* projects to English? Old English hasn't been spotted in the
wild for the past 1000 years or so according to Wikipedia.

Errm, no.

Locales should only exist in languages that are alive. "ang" is not alive. There is a Wikimedia subdomain, that once required a locale with the same code, but that's no longer true. MediaWiki core has 32% completion now[1] for MediaWiki core, 87% for MediaWiki core's most used messages. If we look at purpose, then creating a native language user interface does not contribute a lot, as there are no native speakers.

[1] https://translatewiki.net/wiki/Special:LanguageStats/ang

(In reply to comment #24)

Locales should only exist in languages that are alive. "ang" is not alive.
There is a Wikimedia subdomain, that once required a locale with the same
code,
but that's no longer true. MediaWiki core has 32% completion now[1] for
MediaWiki core, 87% for MediaWiki core's most used messages. If we look at
purpose, then creating a native language user interface does not contribute a
lot, as there are no native speakers.

[1] https://translatewiki.net/wiki/Special:LanguageStats/ang

Is this a policy or just your opinion? Even if it is a policy, surely community consensus could overrule it. I see no reason why you can't just ?setlang=en if you don't like the Old English interface. Latin has an interface too, and it is (mostly) dead. I admit that Latin is still used a bit (e.g., the Pope), but they're both "old" languages.

(In reply to comment #25)

Is this a policy or just your opinion? Even if it is a policy, surely
community
consensus could overrule it. I see no reason why you can't just ?setlang=en
if
you don't like the Old English interface. Latin has an interface too, and it
is
(mostly) dead. I admit that Latin is still used a bit (e.g., the Pope), but
they're both "old" languages.

It's my opinion on a legacy locale. With today's policy, a locale like this could not be added.

(In reply to comment #26)

It's my opinion on a legacy locale. With today's policy, a locale like this
could not be added.

Since this was added before the policy was implemented, this should be fine unless it is a retroactively-applied policy. What's the harm here? It's not taking up terabytes of memory or bandwidth.

(In reply to comment #27)

Since this was added before the policy was implemented, this should be fine
unless it is a retroactively-applied policy. What's the harm here? It's not
taking up terabytes of memory or bandwidth.

I'm providing an option that may not have been known. The possible harm is in a lack of focus, but that's not harming me.

Siebrand,

May I ask that instead of bullying us, you make productive use of your time to work on something positive? Or if you truly need to bully someone, why not bully some of the other "dead" language lovers like the Latin (la), Church Slavonic (cu), or Classical Nahuatl (nah) people?

And before you ask that we make more productive use of our time, keep in mind that being able to have a place to have most things in Old English is very important to us, for we want to be able to use the language in a modern context and to be able to be immersed in it. Old English and its modern use may be a joke to you, but it holds a very high place in our hearts and souls, for the knowledge and use of this beautiful language allows us to connect to our ancestors and celebrate our heritage, unlike Modern English. And, for some, knowledge and use of this language are of religious significance. And even those who love the language for another reason should be able to have the entire thing in the language. Old English wikiprojects should be in Old English. Simple as that.

Also, do not say that we are wasting everyone's time; I am sure if people like odder truly did not want to do this, they would just put it at the bottom of their todo lists. We are grateful for their helping us and doing so in a timely manner.

I am sorry if you find this hostile, but I find what you propose an attack on us and everything we believe in.

Good day.

Now can we get back to discussing the issues in the first few comments and the recent attachment?

axonfifty wrote:

(In reply to comment #21)

Can I make very pragmatic proposal here? How about we deprecate the locale
"ang", effective immediately because it's a dead language, and change the
locale for ang.* projects to English? Old English hasn't been spotted in the
wild for the past 1000 years or so according to Wikipedia.

I oppose this... Significant human effort has been put in over the years, with tangible results, which would be lost; and the vast majority of effort has come from willing volunteers such as myself, not creating much inconvenience at all for the wider Wikimedia community. While it is by no means as valuable, as, say, a Hindi Wikipedia, there is some value in it. (In reply to comment #28)

(In reply to comment #27)

Since this was added before the policy was implemented, this should be fine
unless it is a retroactively-applied policy. What's the harm here? It's not
taking up terabytes of memory or bandwidth.

I'm providing an option that may not have been known. The possible harm is
in a
lack of focus, but that's not harming me.

Focus of human (In reply to comment #30)

Now can we get back to discussing the issues in the first few comments and
the
recent attachment?

Yes.

(In reply to comment #17)

Created attachment 13959 [details]
proposed languages/classes/LanguageAng.php file

Attached proposed languages/classes/LanguageAng.php file

  • languages/classes/LanguageAng.php 1969-12-31 19:00:00.000000000 -0500

+++ languages/classes/LanguageAng.php 2013-12-04 10:19:10.000000000 -0500
@@ -0,0 +1,27 @@
+<?php
+
+/ Old English (Ænglisc)
+ *
+ * @ingroup Language
+ */
+class LanguageAng extends Language {
+ # Convert from the nominative form of a noun to some other case
+ # Invoked with {{GRAMMAR:case|word}}
+ /

+ * Cases: nemniendlīc (nom), wrēgendlīc (acc), forgifendlīc (dat), geāgniendlīc (gen), tōllīc (ins)
+ *
+ * @param $word string
+ * @param $case string
+ *
+ * @return string
+ */
+ function convertGrammar( $word, $case ) {
+ global $wgGrammarForms;
+ if ( isset( $wgGrammarForms['ang'][$case][$word] ) ) {
+ return $wgGrammarForms['ang'][$case][$word];
+ }
+
+ return $word; # this will return the original value for all words without set grammar forms
+ }
+
+}
Is this good?

Attached:

Change 99641 had a related patch set uploaded by Odder:
Add a LanguageAng.php file for Old English projects

https://gerrit.wikimedia.org/r/99641

Change 97376 merged by jenkins-bot:
Add an alias to NS_PROJECT on Old English Wiktionary

https://gerrit.wikimedia.org/r/97376

Change 99641 abandoned by Odder:
Add a LanguageAng.php file for Old English projects

Reason:
Abandoning per Niklas's comment.

https://gerrit.wikimedia.org/r/99641

The {{GRAMMAR:}} function works now, and the alias has been added, so I'm closing this as RESOLVED FIXED.

For the future, please open a new bug for each request.